package simsql.compiler; // package mcdb.compiler.parser.expression.mathExpression;


import java.util.ArrayList;


// import mcdb.compiler.parser.astVisitor.ASTVisitor;
// import mcdb.compiler.parser.expression.util.FinalVariable;



public class AggregateExpression extends MathExpression {
	
	public int aggType;
	public int setQuantifier;
	public MathExpression expression;
	
	
	
	public AggregateExpression(int aggType) {
		this(aggType, FinalVariable.ALL, null);	
	}

	public AggregateExpression(int aggType, 
			                   int setQuantifier,
			                   MathExpression expression) 
	{
		super();
		this.aggType = aggType;
		this.setQuantifier = setQuantifier;
		this.expression = expression;
	}
	
	public ArrayList<Integer> acceptVisitor(ASTVisitor astVisitor) throws Exception {
		return astVisitor.visitAggregateExpression(this);	
	}

}
