/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.boolExpression;

import java.util.ArrayList;


// import mcdb.compiler.parser.astVisitor.ASTVisitor;



/**
 * @author Bamboo
 *
 */
public class AndPredicate extends BooleanPredicate {
	
	public ArrayList<BooleanPredicate> andList;
	
	
	public AndPredicate(ArrayList<BooleanPredicate> andList) {
		super();
		this.andList = andList;
	}
	
	public void addPredicate(BooleanPredicate predicate)
	{
		andList.add(predicate);
	}

	/* (non-Javadoc)
	 * @see boolPredicate.BooleanPredicate#AcceptVisitor(astVisitor.ASTVisitor)
	 */
	@Override
	public boolean acceptVisitor(ASTVisitor astVisitor) throws Exception{
		return astVisitor.visitAndPredicate(this);
	}
	
	@Override
	public String toString()
	{
		String result = "";
		for(int i = 0; i < andList.size()-1; i++)
		{
			result += andList.get(i).toString() + " ^ ";
		}
		result = andList.get(andList.size()-1).toString();
		
		return result;
	}

}
