package simsql.compiler; // package mcdb.compiler.parser.expression.mathExpression;


import java.util.ArrayList;


// import mcdb.compiler.parser.astVisitor.ASTVisitor;



/*
 * @Author: Bamboo
 *  Date: 09/02/2010
 *  This class corresponds to the arithmetic expression in SQL
 */

public class ArithmeticExpression extends MathExpression{
	public ArrayList<MathExpression> operandList;
	public ArrayList<Integer> operatorList;
	
	public ArithmeticExpression(ArrayList<MathExpression> operandList,
								ArrayList<Integer> operatorList) {
		super();
		this.operandList = operandList;
		this.operatorList = operatorList;
	}
	
	public void addOperator(int operator)
	{
		operatorList.add(operator);
	}
	
	public void addMathExpression(MathExpression expression)
	{
		operandList.add(expression);
	}

	public ArrayList<Integer> acceptVisitor(ASTVisitor astVisitor) throws Exception {
		return astVisitor.visitArithmeticExpression(this);	
	}
}
