/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.logicPlan.logicOperator.booleanOperator;


// import mcdb.compiler.logicPlan.logicOperator.CopyHelper;

/**
 * @author Bamboo
 *
 */
public class AtomOperator extends BooleanOperator{

	/**
	 * @param name
	 */
	public AtomOperator(String name) {
		super(name);
	}

	/* (non-Javadoc)
	 * @see logicOperator.booleanOperator.BooleanOperator#visitNode()
	 */
	@Override
	public String visitNode() {
		/*
		 * Such atomic operator should return "". Since it only provides
		 * the name of the operator, and we do not need to provide new lines.
		 */
		return "";
	}

	/* (non-Javadoc)
	 * @see mcdb.compiler.logicPlan.logicOperator.booleanOperator.BooleanOperator#copy()
	 */
	@Override
	public BooleanOperator copy(CopyHelper copyHelper) {
		String c_name = new String(this.getName());
		
		return new AtomOperator(c_name);
	}
	
	
}
