package simsql.compiler;

import java.util.ArrayList;


public class BaseLineArrayRandomTableStatement extends RandomTableStatement
{
	public String upBound;
	public String lowerBound;
	
	/**
	 * @param tableAttributes
	 * @param outerTable
	 * @param withList
	 * @param selectStatement
	 */
	public BaseLineArrayRandomTableStatement(DefinedTableSchema schema,
											 SQLExpression outerTable, 
											 ArrayList<WithStatement> withList,
											 SelectStatement selectStatement) {
		super(schema, outerTable, withList, selectStatement);
	}
	
	public BaseLineArrayRandomTableStatement(String arrayString,
											DefinedArrayTableSchema schema,
											SQLExpression outerTable, 
											ArrayList<WithStatement> withList,
											SelectStatement selectStatement)
	{
		super(schema, outerTable, withList, selectStatement);
		int start = arrayString.indexOf("..");
		lowerBound = arrayString.substring(0, start);
		upBound = arrayString.substring(start+2, arrayString.length());
	}

	
	public boolean acceptVisitor(BaselineArrayRandomTypeChecker astVisitor)throws Exception
	{
		return astVisitor.visitBaselineArrayRandomTableStatement(this);
	}
}
