/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.boolExpression;


// import mcdb.compiler.parser.astVisitor.ASTVisitor;
// import mcdb.compiler.parser.expression.mathExpression.MathExpression;

/**
 * @author Bamboo
 *
 */
public class BetweenPredicate extends BooleanPredicate{

	public MathExpression expression;
	public MathExpression lowExpression;
	public MathExpression upExpression;
	
	
	public BetweenPredicate(MathExpression expression, MathExpression lowExpression,
			MathExpression upExpression) {
		super();
		this.expression = expression;
		this.lowExpression = lowExpression;
		this.upExpression = upExpression;
	}


	/* (non-Javadoc)
	 * @see boolPredicate.BooleanPredicate#AcceptVisitor(astVisitor.ASTVisitor)
	 */
	@Override
	public boolean acceptVisitor(ASTVisitor astVisitor) throws Exception{
		return astVisitor.visitBetweenPredicate(this);
	}
	
	@Override
	public String toString()
	{
		String result = "";
		
		result += expression.toString();
		result += " between ";
		result += lowExpression.toString();
		result += " and ";
		result += upExpression.toString();
		
		return result;
	}
}
