/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.logicPlan.logicOperator;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;


// import mcdb.compiler.logicPlan.logicOperator.relationOperator.Operator;

/**
 * @author Bamboo
 *
 */
public class CommonContent {
	public String nodeName;
	public ArrayList<Operator> children;
	public ArrayList<Operator> parents; 
	
	/*
	 * Additional data structure
	 */
	public HashMap<String, String> nameMap;
	public HashSet<String> mapSpaceNameSet;
	
	
	/**
	 * @param nodeName
	 * @param children
	 * @param parents
	 * @param nameMap
	 * @param mapSpaceNameSet
	 */
	public CommonContent(String nodeName, ArrayList<Operator> children,
			ArrayList<Operator> parents, HashMap<String, String> nameMap,
			HashSet<String> mapSpaceNameSet) {
		super();
		this.nodeName = nodeName;
		this.children = children;
		this.parents = parents;
		this.nameMap = nameMap;
		this.mapSpaceNameSet = mapSpaceNameSet;
	}
}
