/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.logicPlan.logicOperator.mathOperator;


// import mcdb.compiler.logicPlan.logicOperator.CopyHelper;

/**
 * @author Bamboo
 *
 */
public class DateOperator implements MathOperator{
	private String string;
	
	public DateOperator(String string)
	{
		this.string = string;
	}

	public String getDateString() {
		return string;
	}

	public void setDateString(String string) {
		this.string = string;
	}

	/* (non-Javadoc)
	 * @see logicOperator.mathOperator.MathOperator#visitNode()
	 */
	@Override
	public String visitNode() {
		/*
		 * Such atomic operator should return "". Since it only provides
		 * the name of the operator, and we do not need to provide new lines.
		 */
		return "";
	}

	/* (non-Javadoc)
	 * @see logicOperator.mathOperator.MathOperator#getNodeName()
	 */
	@Override
	public String getNodeName() {
		return "'" + string + "'";
	}
	
	public MathOperator copy(CopyHelper copyHelper)
	{
		String c_string = new String(string);
		DateOperator c_operator = new DateOperator(c_string);
		
		return c_operator;
	}
}
