/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.sqlType;

import java.util.ArrayList;



// import mcdb.compiler.parser.astVisitor.RandomTableTypeChecker;
// import mcdb.compiler.parser.expression.Expression;
// import mcdb.compiler.parser.expression.sqlExpression.DefinedTableSchema;
// import mcdb.compiler.parser.expression.sqlExpression.SQLExpression;
// import mcdb.compiler.parser.expression.sqlExpression.SelectStatement;
// import mcdb.compiler.parser.expression.sqlExpression.WithStatement;




/**
 * @author Bamboo
 *
 */
public class RandomTableStatement extends Expression{

	public DefinedTableSchema definedTableSchema;
	public SQLExpression outerTable;
	public ArrayList<WithStatement> withList;
	public SelectStatement selectStatement;
	
	private String sqlString;
	
	public String getSqlString()
	{
		return sqlString;
	}

	public void setSqlString(String sqlString)
	{
		this.sqlString = sqlString;
	}

	public RandomTableStatement(DefinedTableSchema schema,
								SQLExpression outerTable, 
								ArrayList<WithStatement> withList,
								SelectStatement selectStatement)
	{
		super();
		this.definedTableSchema = schema;
		this.outerTable = outerTable;
		this.withList = withList;
		this.selectStatement = selectStatement;
	}

	public boolean acceptVisitor(RandomTableTypeChecker astVisitor)throws Exception
	{
		return astVisitor.visitRandomTableStatement(this);
	}

}
