/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.logicPlan.postProcessor;

import java.util.HashMap;


// import mcdb.compiler.logicPlan.logicOperator.relationOperator.Operator;
/**
 * @author Bamboo
 *
 */
public class RenameNode{

	public Operator child;
	public Operator parent;
	
	public HashMap<String, String> attributeMap;
	
	/* (non-Javadoc)
	 * @see logicOperator.relationOperator.Operator#visitNode()
	 */
	public RenameNode(Operator child,
					  Operator parent)
	{
		this.child = child;
		this.parent = parent;
		attributeMap = new HashMap<String, String>();
	}
	
	public void addStringMap(String original, String mappedString) throws Exception
	{
		if(!this.attributeMap.containsKey(original))
		{
			attributeMap.put(original, mappedString);
		}
		else
		{
			String temp = attributeMap.get(original);
			if(!temp.equals(mappedString))
			{
				System.err.println("error during mapping!");
				throw new Exception("error during mapping!");
			}
		}
	}
	
	public int getMapsize()
	{
		return attributeMap.size();
	}
}
