package simsql.compiler; // package mcdb.compiler.parser.expression.mathExpression;


import java.util.ArrayList;



// import mcdb.compiler.parser.astVisitor.ASTVisitor;


/*
 * @Author: Bamboo
 *  Date: 09/02/2010
 *  This class corresponds to numeric expression
 */

public class StringExpression extends MathExpression {
	public String value;
	
	//remove the quotation marks ''
	public StringExpression(String value)
	{
		this.value = value.substring(1, value.length()-1);
	}

	@Override
	public ArrayList<Integer> acceptVisitor(ASTVisitor astVisitor) throws Exception {
		return astVisitor.visitStringExpression(this);	
	}
	
	@Override
	public String toString()
	{
		return ""+value;
	}
}
