/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.mathExpression;

import java.util.ArrayList;



// import mcdb.compiler.parser.astVisitor.ASTVisitor;
// import mcdb.compiler.parser.astVisitor.TypeChecker;
// import mcdb.compiler.parser.expression.sqlExpression.SelectStatement;



/**
 * @author Bamboo
 *
 */
public class SubqueryExpression extends MathExpression{
	public SelectStatement value;
	//for the subquery, we need a new recursive typechecker
	private TypeChecker typeChecker;
	private boolean needParent;
	
	public SubqueryExpression(SelectStatement value)
	{
		this.value = value;
		needParent = true;
	}
	
	public TypeChecker getTypeChecker() {
		return typeChecker;
	}

	public void setTypeChecker(TypeChecker typeChecker) {
		this.typeChecker = typeChecker;
	}

	public void setNeedparent(boolean value)
	{
		this.needParent = value;
	}
	
	public boolean getNeedParent()
	{
		return needParent;
	}

	@Override
	public ArrayList<Integer> acceptVisitor(ASTVisitor astVisitor)  throws Exception{
		return astVisitor.visitSubqueryExpression(this);	
	}
}
