package simsql.compiler;

import java.util.ArrayList;


public abstract class UnionViewStatement extends Expression{
	private String sqlString;
	private DefinedTableSchema schema;
	private ArrayList<SQLExpression> tableNameList;
	
	
	
	public UnionViewStatement() {
		super();
	}


	public UnionViewStatement(DefinedTableSchema schema,
			ArrayList<SQLExpression> tableNameList) {
		super();
		this.schema = schema;
		this.tableNameList = tableNameList;
	}

	public String getSqlString() {
		return sqlString;
	}


	public void setSqlString(String sqlString) {
		this.sqlString = sqlString;
	}

	public DefinedTableSchema getSchema() {
		return schema;
	}
	public void setSchema(DefinedTableSchema schema) {
		this.schema = schema;
	}
	public ArrayList<SQLExpression> getTableNameList() {
		return tableNameList;
	}
	public void setTableNameList(ArrayList<SQLExpression> tableNameList) {
		this.tableNameList = tableNameList;
	}
	

	public abstract boolean acceptVisitor(UnionViewStatementTypeChecker astVisitor)
			throws Exception;
}
