package simsql.functions;

import java.util.*;
import simsql.runtime.*;
import java.net.*;
import java.lang.*;
import java.lang.management.*;

/**
 * A function for simulating string equality.
 *
 * @author Luis
 */
public class eq extends ReflectedFunction {

  public static int eqfn(String val1, String val2) {

    return val1.equals(val2) ? 1 : 0;
  }

  public eq() {
    super("simsql.functions.eq", "eqfn", String.class, String.class);
  }

  @Override
  public String getName() {
    return "eq";
  }
}