package simsql.functions;

import simsql.runtime.*;
import java.text.*;
import java.util.*;

/**
 * A 'LIKE' function, reflected from its own method.
 *
 * @author Luis.
 */

public class likefn extends ReflectedFunction {

    public static int like(String pat, String str) {
	return str.matches(pat.replaceAll("%", ".*")) ? 1 : 0;
    }

    public likefn() {
	super("simsql.functions.likefn", "like", String.class, String.class);
    }

    @Override
    public String getName() {
	return "likefn";
    }
}