package simsql.functions;

import simsql.runtime.*;
import java.text.*;
import java.util.*;

/**
 * A 'substring' function.
 *
 * @author Luis.
 */

public class substring extends ReflectedFunction {

  public static String substr(String str1, int pos1, int pos2) {
    return str1.substring(pos1, pos2);
  }

  public substring() {
    super("simsql.functions.substring", "substr", String.class, int.class, int.class);
  }

  @Override
  public String getName() {
    return "substring";
  }
}