
package simsql.shell;

// encapsulates the translation of an optimized SQL query to a program that the
// execution engine can actually process
public interface CodeGenerator <Input extends OptimizedQuery, Output extends ExecutableQuery> {
  
  // this actually performs the translation
  public Output translate (Input translateMe, RuntimeParameter param);

}

