
package simsql.shell;

// this wraps up an executable query

public interface ExecutableQuery {
  
  // If there was an error encountered when translating the query, this function
  // should return a nice text that describes the error.  If there was no error,
  // then this returns a "null"
  String isError ();
  
  // this "cleans up" the translated query, by (for example) removing any files that
  // were created to store the result of the translation
  void cleanUp ();
}

