
package simsql.shell;
import java.io.PrintStream;

// this encapsulates the output of the runtime... any special results that need
// to be communicated back to the QueryProcessor object that is running the show
// should be put into here
public interface RuntimeOutput {
  
  // If there was an error encountered when executing the query, this function
  // should return a nice text that describes the error.  If there was no error,
  // then this returns a "null"
  String isError ();
  
}
