package simsql.shell;

import simsql.runtime.HadoopResult;
import simsql.code_generator.DataFlowQuery;
import simsql.optimizer.SimSQLOptimizedQuery;


// this is where it all happens!
public class MainClass {
  
  public static void main (String [] args) {
    MCMCQueryProcessor myQueryProcessor = new MCMCQueryProcessor ();
    
    SimSQLShell <SimSQLCompiledQuery, SimSQLOptimizedQuery, DataFlowQuery, HadoopResult, MCMCQueryProcessor> myShell = 
      new SimSQLShell <SimSQLCompiledQuery, SimSQLOptimizedQuery, DataFlowQuery, HadoopResult, MCMCQueryProcessor> (myQueryProcessor);
    
    myShell.promptLoop ();
  }
}

