/**
 * 
 */
package simsql.compiler; // package mcdb.catalog;

import java.util.ArrayList;

/**
 * @author Bamboo
 *
 */
public class View {
	/** Relation name */
	  private String name;

	  /** Physical location */
	  private String sql;

	  /** Set of attributes. Positional */
	  private ArrayList<Attribute> attributes;
	  
	  private int type;

	  public View(String name, String sql, ArrayList<Attribute> attributes, int type)
	  {
		  this.name = name;
		  this.sql = sql;
		  this.attributes = attributes;
		  this.type = type;
	  }

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	
	public String getSql() {
		return sql;
	}

	public void setSql(String sql) {
		this.sql = sql;
	}

	public ArrayList<Attribute> getAttributes() {
		return attributes;
	}
	
	

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public void setAttributes(ArrayList<Attribute> attributes) {
		this.attributes = attributes;
	}
	  
	public String toString()
	{
		 return(name + ": (" + sql + "), " + attributes);
	}
}
