package simsql.compiler; // package mcdb.compiler.parser.expression.sqlExpression;



// import mcdb.compiler.parser.astVisitor.ASTVisitor;


public class AllFromTable extends SQLExpression{
	public String table;

	public AllFromTable(String table) {
		super();
		this.table = table;
	}
	
	public String getTableName()
	{
		return table;
	}

	@Override
	public boolean acceptVisitor(ASTVisitor astVisitor)throws Exception {
		return astVisitor.visitAllFromTable(this);	
	}

	@Override
	public String toString()
	{
		return table+".*";
	}
}
