/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.logicPlan.postProcessor;

import java.util.HashMap;

/**
 * @author Bamboo
 *
 */
public class AttributeNameSpace {
	private static HashMap<String, Integer> nameSpaceMap = new HashMap<String, Integer>();
	
	public static String getString(String name)
	{
		name = getIdentifier(name);
		int index;
		if(!nameSpaceMap.containsKey(name))
		{
			index = 0;
		}
		else
		{
			index = nameSpaceMap.get(name);
			index++;			
		}
		
		nameSpaceMap.put(name, index);
		
		if(name.length() > 100)
		{
			name = name.substring(0, 100);
		}
		
		return "mcdb_"+ name +"_"+index;
	}
	
	public static String getIdentifier(String name)
	{
		if(isIdentifier(name))
		{
			return name;
		}
		else
		{
			char letters[] = name.toCharArray();
			for(int i = 0; i < letters.length; i++)
			{
				if( (letters[i] >= '0' && letters[i] <= '9') ||
					(letters[i] >= 'a' && letters[i] <= 'z') ||
					(letters[i] >= 'A' && letters[i] <= 'Z') ||
					letters[i] == '_'
				  )
				{
					continue;
				}
				else
				{
					letters[i] = '_';
				}
			}
			
			return new String(letters);
		}
	}
	
	public static boolean isIdentifier(String name)
	{
		char letters[] = name.toCharArray();
		for(int i = 0; i < letters.length; i++)
		{
			if( (letters[i] >= '0' && letters[i] <= '9') ||
				(letters[i] >= 'a' && letters[i] <= 'z') ||
				(letters[i] >= 'A' && letters[i] <= 'Z') ||
				letters[i] == '_'
			  )
			{
				continue;
			}
			else
			{
				return false;
			}
		}
		
		return true;
	}
}
