/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.sqlType;

import java.util.ArrayList;



// import mcdb.compiler.parser.astVisitor.BaseLineRandomTableTypeChecker;
// import mcdb.compiler.parser.astVisitor.RandomTableTypeChecker;
// import mcdb.compiler.parser.expression.sqlExpression.DefinedTableSchema;
// import mcdb.compiler.parser.expression.sqlExpression.SQLExpression;
// import mcdb.compiler.parser.expression.sqlExpression.SelectStatement;
// import mcdb.compiler.parser.expression.sqlExpression.WithStatement;

/**
 * @author Bamboo
 *
 */
public class BaseLineRandomTableStatement extends RandomTableStatement {

	public String indexString;
	
	/**
	 * @param tableAttributes
	 * @param outerTable
	 * @param withList
	 * @param selectStatement
	 */
	public BaseLineRandomTableStatement(DefinedTableSchema tableAttributes,
			SQLExpression outerTable, ArrayList<WithStatement> withList,
			SelectStatement selectStatement) {
		super(tableAttributes, outerTable, withList, selectStatement);
	}
	
	public BaseLineRandomTableStatement(String indexString,
			DefinedTableSchema tableAttributes,
			SQLExpression outerTable, ArrayList<WithStatement> withList,
			SelectStatement selectStatement)
	{
		super(tableAttributes, outerTable, withList, selectStatement);
		this.indexString = indexString;
	}

	
	public boolean acceptVisitor(BaseLineRandomTableTypeChecker astVisitor)throws Exception
	{
		return astVisitor.visitBaseLineRandomTableStatement(this);
	}
}
