package simsql.compiler;

import java.util.ArrayList;


public class BaselineUnionViewStatement extends UnionViewStatement
{
	String index;
	
	public BaselineUnionViewStatement(DefinedTableSchema schema,
			ArrayList<SQLExpression> tableNameList, String index) {
		super(schema, tableNameList);
		this.index = index;
	}
	
	public String getIndex() {
		return index;
	}
	public void setIndex(String index) {
		this.index = index;
	}
	
	

	@Override
	public boolean acceptVisitor(UnionViewStatementTypeChecker astVisitor)
			throws Exception {
		return astVisitor.visitUnionViewStatement(this);
	}
	
	
}
