package simsql.compiler;


public class CommonTableName extends SQLExpression
{
	private String name;
	
	public CommonTableName(String name)
	{
		this.name = name;
	}
	
	
	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}

	@Override
	public boolean acceptVisitor(ASTVisitor astVisitor) throws Exception {
		return astVisitor.visitCommonTableNameTable(this);	
	}

	@Override
	public String toString()
	{
		return name;
	}
}
