/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.sqlExpression;

import java.util.ArrayList;



// import mcdb.compiler.parser.astVisitor.ASTVisitor;



/**
 * @author Bamboo
 *
 */
public class DefinedTableSchema extends SQLExpression {
	public String viewName;
	public ArrayList<String> tableAttributeList;
	public boolean isAlignd; //denote whether we use the "_" to handle the TimeTick_based table
	
	public DefinedTableSchema(String tableName, ArrayList<String> tableAttributeList, boolean isAlignd) {
		super();
		this.viewName = tableName.toLowerCase();
		this.tableAttributeList = tableAttributeList;
		this.isAlignd = isAlignd;
	}
	
	public DefinedTableSchema(String tableName, boolean isAlignd)
	{
		this(tableName, null, isAlignd);
	}


	/* (non-Javadoc)
	 * @see component.sqlExpression.SQLExpression#acceptVisitor(astVisitor.ASTVisitor)
	 */
	@Override
	public boolean acceptVisitor(ASTVisitor astVisitor) throws Exception{
		return astVisitor.visitDefinedTableSchemaExpression(this);
	}
	
}
