/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.sqlExpression;



// import mcdb.compiler.parser.astVisitor.ASTVisitor;

/**
 * @author Bamboo
 *
 */
public class ForeignKeyElement extends SQLExpression 
{

	public String attribute;
	public String referencedRelation;
	public String referencedAttribute;
	
	
	public ForeignKeyElement(String attribute, 
					String referencedRelation,
					String referencedAttribute)
	{
		super();
		this.attribute = attribute.toLowerCase();
		this.referencedRelation = referencedRelation.toLowerCase();
		this.referencedAttribute = referencedAttribute.toLowerCase();
	}


	/* (non-Javadoc)
	 * @see mcdb.compiler.parser.expression.sqlExpression.SQLExpression#acceptVisitor(mcdb.compiler.parser.astVisitor.ASTVisitor)
	 */
	@Override
	public boolean acceptVisitor(ASTVisitor astVisitor) throws Exception
	{
		return astVisitor.visitForeignKey(this);
	}

}
