/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.sqlExpression;



// import mcdb.compiler.parser.astVisitor.ASTVisitor;
// import mcdb.compiler.parser.expression.mathExpression.MathExpression;


/**
 * @author Bamboo
 *
 */
public class FromSubquery extends SQLExpression{
	public MathExpression expression;
	public String alias;
	
	public FromSubquery(MathExpression table, String alias)
	{
		this.expression = table;
		this.alias = alias;
	}

	public FromSubquery(MathExpression table)
	{
		this.expression = table;
		this.alias = null;
	}
	
	
	public MathExpression getSql() {
		return expression;
	}

	public void setSql(MathExpression sql) {
		this.expression = sql;
	}

	public String getAlias() {
		return alias;
	}

	public void setAlias(String alias) {
		this.alias = alias;
	}

	/* (non-Javadoc)
	 * @see component.expression.Expression#acceptVisitor(astVisitor.ASTVisitor)
	 */
	@Override
	public boolean acceptVisitor(ASTVisitor astVisitor) throws Exception{
		return astVisitor.visitFromSubqueryExpression(this);
	}
}
