/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.parser.expression.mathExpression;

import java.util.ArrayList;


// import mcdb.compiler.parser.astVisitor.ASTVisitor;



/**
 * @author Bamboo
 *
 */
public class GeneralFunctionExpression extends MathExpression{

	public String functionName;
	public ArrayList<MathExpression> parasList;
	public ArrayList<Integer> outTypeList;
	
	// since this can either correspond to a VG function call or to a "regular" function
	// call, we remember which one
	private boolean isVGFunctionVal = false;
	
	
        public boolean isVGFunction () {
		return isVGFunctionVal;
	}

	public void setVGFunctionCall (boolean toMe) {
		isVGFunctionVal = toMe;
	}	

	public GeneralFunctionExpression(String functionName,
			ArrayList<MathExpression> parasList) {
		super();
		this.functionName = functionName.toLowerCase();
		this.parasList = parasList;
	}

	public void addParameter(MathExpression expression) 
	{
		parasList.add(expression);
	}

	/* (non-Javadoc)
	 * @see component.mathExpression.MathExpression#acceptVisitor(astVisitor.ASTVisitor)
	 */
	@Override
	public ArrayList<Integer> acceptVisitor(ASTVisitor astVisitor) throws Exception {
		return astVisitor.visitGeneralFunctionExpression(this);
	}


	/**
	 * @param typeList the typeList to set
	 */
	public void setOutTypeList(ArrayList<Integer> typeList) {
		this.outTypeList = typeList;
	}

	
}
