package simsql.compiler;

import java.util.ArrayList;


public class GeneralTableIndex extends MathExpression{
	public int type;
	
	public GeneralTableIndex()
	{
		type = Attribute.INTEGER;
	}

	@Override
	public ArrayList<Integer> acceptVisitor(ASTVisitor astVisitor)  throws Exception{
		return astVisitor.visitGeneralTableIndexExpression(this);	
	}
	
	public int getType()
	{
		return type;
	}
	
	@Override
	public String toString()
	{
		return "i";
	}
}
