package simsql.compiler;


public class GeneralTableIndexOperator implements MathOperator{
	private int type;
	private boolean initialized;
	private int value;
	
	public GeneralTableIndexOperator(int type)
	{
		this.type = type;
		this.initialized = false;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public void setValue(int value) {
		this.value = value;
		initialized = true;
	}


	/* (non-Javadoc)
	 * @see logicOperator.mathOperator.MathOperator#visitNode()
	 */
	@Override
	public String visitNode() {
		return "";
	}

	
	
	/* (non-Javadoc)
	 * @see logicOperator.mathOperator.MathOperator#getNodeName()
	 */
	@Override
	public String getNodeName() {
		if(!initialized)
			return "i";
		else
			return value+"";
	}

	/* (non-Javadoc)
	 * @see mcdb.compiler.logicPlan.logicOperator.mathOperator.MathOperator#copy()
	 */
	@Override
	public MathOperator copy(CopyHelper copyHelper) {
		return new GeneralTableIndexOperator(type);
	}
}
