package simsql.compiler;


public class MaterializedViewStatement extends Expression{

	public DefinedTableSchema definedTableSchema;
	public SelectStatement statement;
	private String sqlString;
	
	public MaterializedViewStatement(DefinedTableSchema definedTableSchema, SelectStatement statement) {
		super();
		this.definedTableSchema = definedTableSchema;
		this.statement = statement;
	}

	public String getSqlString() {
		return sqlString;
	}

	public void setSqlString(String sqlString) {
		this.sqlString = sqlString;
	}

	public boolean acceptVisitor(MaterializedViewTypeChecker checker)throws Exception {
		return checker.visitMaterializedViewStatement(this);
	}
}
