/**
 * 
 */
package simsql.compiler; // package mcdb.compiler.logicPlan.logicOperator.mathOperator;


// import mcdb.compiler.logicPlan.logicOperator.CopyHelper;
// import mcdb.compiler.logicPlan.logicOperator.booleanOperator.BooleanOperator;

/**
 * @author Bamboo
 *
 */
public class PredicateToMathWrapper implements MathOperator
{
	public BooleanOperator operator;

	
	public PredicateToMathWrapper(BooleanOperator operator) {
		super();
		this.operator = operator;
	}

	/* (non-Javadoc)
	 * @see logicPlan.logicOperator.mathOperator.MathOperator#visitNode()
	 */
	@Override
	public String visitNode() {
		return operator.visitNode();
	}

	/* (non-Javadoc)
	 * @see logicPlan.logicOperator.mathOperator.MathOperator#getNodeName()
	 */
	@Override
	public String getNodeName() {
		return operator.getName();
	}

	
	/**
	 * @return the operator
	 */
	public BooleanOperator getBooleanOperator() {
		return operator;
	}

	/**
	 * @param operator the operator to set
	 */
	public void setBooleanOperator(BooleanOperator operator) {
		this.operator = operator;
	}

	/* (non-Javadoc)
	 * @see mcdb.compiler.logicPlan.logicOperator.mathOperator.MathOperator#copy()
	 */
	@Override
	public MathOperator copy(CopyHelper copyHelper) {
		return new PredicateToMathWrapper(operator.copy(copyHelper));
	}
	
}
