package simsql.functions;

import java.util.*;
import simsql.runtime.*;
import java.net.*;
import java.lang.*;
import java.lang.management.*;

/**
 * A function for simulating the CASE expression.
 *
 * @author Luis
 */
public class caseexpr extends ReflectedFunction {

  public static double casefn(int booleanVal, double return1, double return2) {

    return (booleanVal == 1) ? return1 : return2;
  }

  public caseexpr() {
    super("simsql.functions.caseexpr", "casefn", int.class, double.class, double.class);
  }

  @Override
  public String getName() {
    return "caseexpr";
  }
}