package simsql.functions;

import java.util.*;
import simsql.runtime.*;
import java.net.*;
import java.lang.*;
import java.lang.management.*;

/**
 * A function for simulating the IF expression.
 *
 * @author Luis
 */
public class ifexpr extends ReflectedFunction {

  public static int iffn(int booleanVal, int return1, int return2) {

    return (booleanVal == 1) ? return1 : return2;
  }

  public ifexpr() {
    super("simsql.functions.ifexpr", "iffn", int.class, int.class, int.class);
  }

  @Override
  public String getName() {
    return "ifexpr";
  }
}