package simsql.functions;

import java.util.*;
import simsql.runtime.*;
import java.net.*;
import java.lang.*;
import java.lang.management.*;

/**
 * A function for simulating string (in)equality.
 *
 * @author Luis
 */
public class neq extends ReflectedFunction {

  public static int neqfn(String val1, String val2) {

    return val1.equals(val2) ? 0 : 1;
  }

  public neq() {
    super("simsql.functions.neq", "neqfn", String.class, String.class);
  }

  @Override
  public String getName() {
    return "neq";
  }
}