# Makefile for building a Prolog executable for the optimizer.

SWIPL = swipl
RM = rm
OUTDIR = .

.SILENT: all

all: control_transformations.pl lib.pl plancost.pl graphoperations.pl loader.pl optimizer.pl transformations.pl
	$(SWIPL) -q -g "consult(['control_transformations.pl','lib.pl','plancost.pl', 'graphoperations.pl', 'loader.pl', 'optimizer.pl', 'transformations.pl']), qsave_program('$(OUTDIR)/optimizer.pro', [goal(go), stand_alone(true), toplevel(halt(1))]), halt(0)" -t "halt(1)"


clean:
	$(RM) $(OUTDIR)/optimizer.pro
