
package simsql.runtime;
import java.io.Serializable;

// this little struct is used by the runtime parameter object to store offset info about its
// VG function and "regular" function databases
public class FileInfoPair implements Serializable {

  private Long start;
  private Long len;

  public FileInfoPair (long startIn, long lenIn) {
    start = startIn;
    len = lenIn;
  }

  public long getStart () {
    return start;
  }

  public long getLen () {
    return len;
  }
}
