# Makefile for building the VGFunction JNI interface

ECHO = echo
CCFLAGS = -c -Wall -fPIC -O3
CLFLAGS = -lgsl -lgslcblas -ldl -shared -rdynamic
RM = rm -f

.SILENT: all

all: VGFunction.jni.cc VGFunction.jni.h VGFunction.h

	$(ECHO) "\033[1m\033[31mBuilding the VGFunction JNI interface.\033[0m"
	$(CC) -I $(INCLUDE) $(CCFLAGS) VGFunction.jni.cc -o VGFunction.jni.o
	$(CC) -o $(OUTDIR)/VGFunction.jni.so VGFunction.jni.o $(CLFLAGS)
	$(RM) VGFunction.jni.o

clean:
	$(RM) VGFunction.jni.so
