
package simsql.runtime;

import org.apache.hadoop.mapreduce.Reducer;
import java.util.*;
import java.io.IOException;

class JoinReducer extends ReducerWithPostProcessing {
  
  private JoinReducerInnards myInnards;

  public void setup (Context context) throws IOException, InterruptedException {
    myInnards = new JoinReducerInnards (this);
    myInnards.setup (context, -1);  
  }

  public void reduce (RecordKey key, Iterable <RecordWrapper> values, Context context) {
    myInnards.reduce (key, values, context); 
  }
}
