
package simsql.runtime;

import java.util.Collection;
import java.util.Set;
import java.util.HashSet;

// this simple little class is used to produce the set of all subsets of a collection of String objects
class SubsetMachine {

  static Set <Set <String>> getAllSubsets (Collection <String> input) {
    return recurse (0, input.toArray (new String[0]));
  }

  static Set <Set <String>> recurse (int index, String [] myArray) {

    if (index == myArray.length - 1) {
      Set <Set <String>> returnVal = new HashSet <Set <String>> ();
      Set <String> littleOne = new HashSet <String> ();
      littleOne.add (myArray[index]);
      returnVal.add (littleOne);
      return returnVal;
    }
    Set <Set <String>> setOne = recurse (index + 1, myArray);
    Set <Set <String>> setTwo = recurse (index + 1, myArray);
    for (Set <String> s : setTwo) {
      s.add (myArray[index]);
    }
    Set <String> littleOne = new HashSet <String> ();
    littleOne.add (myArray[index]);
    setOne.add (littleOne);
    setOne.addAll (setTwo);
    return setOne;
  }
}
