
package simsql.runtime;

import org.apache.hadoop.mapreduce.Partitioner;

/**
 * This little class partitions records to the various reducers
 */
public class RecordPartitioner extends Partitioner <RecordKey, RecordWrapper> {
  
  public int getPartition(RecordKey key, RecordWrapper value, int numReducers) {
    if (numReducers != 0)
      return (int) (key.getKey () % numReducers);
    else
      return 0;
  }
}
