
package simsql.shell;

// this wraps up an opimtized query
public interface OptimizedQuery {
  
  // If there was an error encountered when optimizing the query, this function
  // should return a nice text that describes the error.  If there was no error,
  // then this returns a "null"
  String isError ();
  
  // If the thing is empty so that there is nothing to do, then this returns true
  boolean isEmpty ();

  // this "cleans up" the optimized query, by (for example) removing any files that
  // were created to store the result of the optimization
  void cleanUp ();
}
