
package simsql.shell;

public interface Runtime <Input extends ExecutableQuery, Output extends RuntimeOutput> {
  
  // and this runs the query encapulated in "runMe"... verbose tells whether to run in
  // verbose mode or not
  Output run (Input runMe);
  
  // this attemps to do some cleanup... called in the case that we get an abort
  void killRuntime ();
}

